import 'package:bit_ads_pakage_all/ads/banner_ads.dart';
import 'package:bit_ads_pakage_all/ads/interstitial_ads.dart';
import 'package:flutter/material.dart';
import 'ads/model/admob_settings.dart';

class AdsManager {

  static late AdmobSettings _admobSettings;

 static init(Map<String,dynamic> admobSettingsJson)
  {
    _admobSettings = AdmobSettings.fromJson(admobSettingsJson);
    InterstitialAds.init(_admobSettings);
  }

  static Widget showBannerAds()
  {
    return BannerAds(admobSettings: _admobSettings);
  }

  static Future<void> showInterstitialAds(BuildContext context)
  async {
    await InterstitialAds.showInterstitialAds(context);
  }

}
